FieldGroup< BaseTypeList_T, Dims_T >::MakeMinMaxMIP Struct Reference

`#include <FieldGroup.h>`

## Public Member Functions

| MakeMinMaxMIP (Field3D::FieldRes::Vec &minFields, Field3D::FieldRes::Vec &maxFields, const float resMult)
| Ctor.
template<typename WrapperVec_T>
void | operator() (const WrapperVec_T &vec)
| Functor.

## Public Attributes

Field3D::FieldRes::Vec & | m_maxFields
Field3D::FieldRes::Vec & | m_minFields
const size_t | m_numThreads
const float | m_resMult

## Detailed Description

template<typename BaseTypeList_T, int Dims_T>
struct FieldGroup< BaseTypeList_T, Dims_T >::MakeMinMaxMIP

Definition at line 1034 of file FieldGroup.h.

## Constructor & Destructor Documentation

## MakeMinMaxMIP()

template<typename BaseTypeList_T, int Dims_T>

FieldGroup< BaseTypeList_T, Dims_T >::MakeMinMaxMIP::MakeMinMaxMIP | ( | Field3D::FieldRes::Vec & | minFields,
|  | Field3D::FieldRes::Vec & | maxFields,
|  | const float | resMult )

inline

Ctor.

Definition at line 1037 of file FieldGroup.h.

: m_minFields(minFields),
m_maxFields(maxFields),
m_resMult(resMult),
m_numThreads(Field3D::numIOThreads())
{ }
FieldGroup::MakeMinMaxMIP::m_numThreads
const size_t m_numThreads
Definition FieldGroup.h:1068
FieldGroup::MakeMinMaxMIP::m_maxFields
Field3D::FieldRes::Vec & m_maxFields
Definition FieldGroup.h:1066
FieldGroup::MakeMinMaxMIP::m_minFields
Field3D::FieldRes::Vec & m_minFields
Definition FieldGroup.h:1065
FieldGroup::MakeMinMaxMIP::m_resMult
const float m_resMult
Definition FieldGroup.h:1067
FieldGroup
Definition FieldGroup.h:304

References m_maxFields, m_minFields, m_numThreads, m_resMult, and numIOThreads().

## Member Function Documentation

## operator()()

template<typename BaseTypeList_T, int Dims_T>
template<typename WrapperVec_T>

void FieldGroup< BaseTypeList_T, Dims_T >::MakeMinMaxMIP::operator() | ( | const WrapperVec_T & | vec | ) |

inline

Functor.

Definition at line 1047 of file FieldGroup.h.

{
// Typedefs
typedef typename WrapperVec_T::value_type Wrapper_T;
typedef typename Wrapper_T::field_type MIPField_T;
typedef typename MIPField_T::NestedType Field_T;
typedef typename Field_T::value_type Value_T;
typedef typename Field3D::Field<Value_T>::Ptr FieldPtr;
std::pair<FieldPtr, FieldPtr> result;
for (size_t i = 0, end = vec.size(); i < end; ++i) {
const Field_T &f = *(vec[i].field->concreteMipLevel(0));
result = Field3D::makeMinMax<MIPField_T>(f, m_resMult, m_numThreads);
m_minFields.push_back(result.first);
m_maxFields.push_back(result.second);
}
}
FieldGroup::size
virtual size_t size() const
The number of fields in the group.
Definition FieldGroup.h:689

References m_maxFields, m_minFields, m_numThreads, and m_resMult.

## Member Data Documentation

## m_minFields

template<typename BaseTypeList_T, int Dims_T>

Field3D::FieldRes::Vec& FieldGroup< BaseTypeList_T, Dims_T >::MakeMinMaxMIP::m_minFields

Definition at line 1065 of file FieldGroup.h.

Referenced by MakeMinMaxMIP(), and operator()().

## m_maxFields

template<typename BaseTypeList_T, int Dims_T>

Field3D::FieldRes::Vec& FieldGroup< BaseTypeList_T, Dims_T >::MakeMinMaxMIP::m_maxFields

Definition at line 1066 of file FieldGroup.h.

Referenced by MakeMinMaxMIP(), and operator()().

## m_resMult

template<typename BaseTypeList_T, int Dims_T>

const float FieldGroup< BaseTypeList_T, Dims_T >::MakeMinMaxMIP::m_resMult

Definition at line 1067 of file FieldGroup.h.

Referenced by MakeMinMaxMIP(), and operator()().

## m_numThreads

template<typename BaseTypeList_T, int Dims_T>

const size_t FieldGroup< BaseTypeList_T, Dims_T >::MakeMinMaxMIP::m_numThreads

Definition at line 1068 of file FieldGroup.h.

Referenced by MakeMinMaxMIP(), and operator()().

The documentation for this struct was generated from the following file:

- export/FieldGroup.h